<?php
require_once __DIR__ . '/../config.php';

// Connect to the database using config.php
$conn = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// SQL to insert unique lead_id values into mautic_lead_control
$sql = "
    INSERT INTO mautic_lead_control (lead_id)
    SELECT DISTINCT s.lead_id
    FROM mautic_stats_email_full s
    LEFT JOIN mautic_lead_control c ON s.lead_id = c.lead_id
    WHERE s.lead_id IS NOT NULL
      AND c.lead_id IS NULL
";

// Execute the query
if ($conn->query($sql) === TRUE) {
    $rowsAffected = $conn->affected_rows;
    echo "$rowsAffected new lead_id(s) added to mautic_lead_control.";
} else {
    echo "Error: " . $conn->error;
}

// Check if there are any remaining rows to process
$result = $conn->query("
    SELECT COUNT(DISTINCT s.lead_id) AS remaining_leads
    FROM mautic_stats_email_full s
    LEFT JOIN mautic_lead_control c ON s.lead_id = c.lead_id
    WHERE s.lead_id IS NOT NULL
      AND c.lead_id IS NULL
");

if ($result && $row = $result->fetch_assoc()) {
    $remainingLeads = $row['remaining_leads'];
    echo "\n$remainingLeads lead_id(s) still to be processed.";
} else {
    echo "\nCould not determine remaining leads: " . $conn->error;
}

$conn->close();
?>
