<?php
// Convert ISO 8601 date to MySQL DATETIME format
function convertToMySQLDateTime($date) {
    if (empty($date)) {
        return null;  // Return NULL if the date is empty or null
    }
    return date('Y-m-d H:i:s', strtotime($date));
}


// Log messages to a file
function logMessage($message) {
    // Check if logging is enabled (controlled via a constant)
    if (defined('LOGGING_ENABLED') && LOGGING_ENABLED === true) {
        $logFile = __DIR__ . '/../logs/fetch_log.txt';
        file_put_contents($logFile, "[" . date('Y-m-d H:i:s') . "] $message" . PHP_EOL, FILE_APPEND);
    }
}


// Database connection
function dbConnect() {
    $conn = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }
    return $conn;
}
?>
